/*
 * Copyright 1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * The contents of this file are subject to the Sun(TM) Community Source
 * License, Jini(TM) Technology Core Platform, v. 1.0 (the "License"); 
 * you may not use this file except in compliance with the License. You 
 * may obtain a copy of the License at http://www.sun.com/jini. Software
 * distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Jini Technology Core Platform code, version 1.0.
 * The Developer of the Original Code is Sun Microsystems, Inc. Portions
 * created by Sun Microsystems, Inc. are Copyright (C) 1999 Sun
 * Microsystems, Inc. All Rights Reserved.
 * 
 * Contributor(s): Sun Microsystems, Inc.
 * 
 * The contents of this file comply with the Jini Technology
 * Core Platform Compatibility Kit Version 1.0
 * 
 * Tester(s): Sun Microsystems, Inc.
 * 
 * Test Platform(s): Java(TM) 2 SDK v1.2.2 Solaris(TM) Reference
 *                   Implementation (Final) on Solaris 2.6
 * 
 *                   Java 2 SDK v1.2.2 Microsoft Windows 95/98/NT 
 *                   Production Release (Final) on Microsoft Windows 
 *                   NT 4.0 SP4
 * 
 * CopyrightVersion 1.1Alpha_JSK
 */
package com.sun.jini.example.service;

import javax.swing.JTextArea;
import javax.swing.JPanel;
import java.awt.GridLayout;
import java.awt.Font;

public class HelpGUI
{
    
    JPanel     panel;
    GridLayout classesGUILayout;
    JTextArea  helpArea;

    public HelpGUI( JPanel panel, String text) 
    {
	//panel = new JPanel(false);
	
	classesGUILayout = (new GridLayout(0, 2));
	classesGUILayout.setHgap(3);
	panel.setLayout(classesGUILayout);
	//panel.setFont(new Font("Dialog", Font.PLAIN, 24));

	String helpText = "Documentation Goes Here";
	helpArea = new JTextArea(helpText);
	
	panel.add(helpArea);

    }//end-constructor
    
    class SymMouse extends java.awt.event.MouseAdapter
    {
	public void mouseClicked(java.awt.event.MouseEvent event)
	{
	    Object object = event.getSource();
	    //if (object == jiniButton) {
	        //runButton_MouseClick(event);
	    //System.err.println("we clicked JiniButton");
	    //}
	}//end-mouseClicked
    }//end-SymMouse


}//end-class
