
# Copyright 1999 Sun Microsystems, Inc. All Rights Reserved.
# 
# The contents of this file are subject to the Sun(TM) Community Source
# License, Jini(TM) Technology Core Platform, v. 1.0 (the "License"); 
# you may not use this file except in compliance with the License. You 
# may obtain a copy of the License at http://www.sun.com/jini. Software
# distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  
# License for the specific language governing rights and limitations
# under the License.
# 
# The Original Code is Jini Technology Core Platform code, version 1.0.
# The Developer of the Original Code is Sun Microsystems, Inc. Portions
# created by Sun Microsystems, Inc. are Copyright (C) 1999 Sun
# Microsystems, Inc. All Rights Reserved.
# 
# Contributor(s): Sun Microsystems, Inc.
# 
# CopyrightVersion 1.1Alpha_Jini


CLASSSERVERRES		= com/sun/jini/tool/resources/classserver.properties
CLASSSERVERRESSRC	= $(SRC)/$(CLASSSERVERRES)
CLASSSERVERRESDEST	= $(CLASSDIR)/$(CLASSSERVERRES)
CLASSDEPRES		= com/sun/jini/tool/resources/classdep.properties
CLASSDEPRESSRC		= $(SRC)/$(CLASSDEPRES)
CLASSDEPRESDEST		= $(CLASSDIR)/$(CLASSDEPRES)
CHECKSERRES		= com/sun/jini/tool/resources/checkser.properties
CHECKSERRESSRC		= $(SRC)/$(CHECKSERRES)
CHECKSERRESDEST		= $(CLASSDIR)/$(CHECKSERRES)

all: $(CLASSSERVERRESDEST) $(CLASSDEPRESDEST) $(CHECKSERRESDEST)

$(CLASSSERVERRESDEST): $(CLASSSERVERRESSRC)
	@rm -f $@
	@mkdir -p $(dir $@)
	cp $? $@

$(CLASSDEPRESDEST): $(CLASSDEPRESSRC)
	@rm -f $@
	@mkdir -p $(dir $@)
	cp $? $@

$(CHECKSERRESDEST): $(CHECKSERRESSRC)
	@rm -f $@
	@mkdir -p $(dir $@)
	cp $? $@

clean clobber::
	-rm -f $(CLASSSERVERRESDEST) $(CLASSDEPRESDEST) $(CHECKSERRESDEST)
